%define prefix /usr
%define ver    0.9

Summary: A graphical front-end to RPM for GNOME.
Name: gnorpm
Version: %ver
Release: 10
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.daa.com.au/pub/james/gnome/gnorpm-%{ver}.tar.gz
Source1: gnorpm.pamd
Source2: gnorpm.apps
Patch0: gnorpm-redhat-config.patch
Patch1: gnorpm-0.9-rpm3x.patch
Patch2: gnorpm-0.9-libbz2.patch
Patch3: gnorpm-0.9-uid.patch
Patch4: gnorpm-0.9-extralocs.patch

BuildRoot: /var/tmp/gnorpm-%{PACKAGE_VERSION}-root
Obsoletes: glint
Requires: usermode >= 1.13

%description
GnoRPM is a graphical front-end to to the Red Hat Package Manager
(RPM). GnoRPM is similar to Glint, but is written using the GTK+
widget set and the GNOME libraries.  GnoRPM is currently in
development, so some features are missing, but you can currently
query, install, upgrade, uninstall and verify packages using a GUI
interface.

%prep
%setup -q -n gnorpm-%{ver}
%patch0 -p 1 -b .rhconfig
%patch1 -p 1 -b .rpm3x
%patch2 -p 1 -b .libbz2
%patch3 -p 1 -b .uid
%patch4 -p 1 -b .extralocs

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/gnorpm
ln -sf consolehelper ${RPM_BUILD_ROOT}%{prefix}/bin/gnorpm-auth
mkdir -p $RPM_BUILD_ROOT/etc/{pam.d,security/console.apps}
install -m 644 $RPM_SOURCE_DIR/gnorpm.pamd $RPM_BUILD_ROOT/etc/pam.d/gnorpm-auth
install -m 644 $RPM_SOURCE_DIR/gnorpm.apps $RPM_BUILD_ROOT/etc/security/console.apps/gnorpm-auth

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/gnorpm
%{prefix}/bin/gnorpm-auth
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/help/gnorpm/C/*
%{prefix}/share/locale/*/LC_MESSAGES/gnorpm.mo
%config %{prefix}/share/gnorpmrc
%config %{prefix}/share/gnorpmrc.*
%config %{prefix}/share/mime-info/gnorpm.keys
%config /etc/pam.d/gnorpm-auth
%config /etc/security/console.apps/gnorpm-auth
#%{prefix}/share/pixmaps/defpackage.gif
%doc AUTHORS NEWS README

%changelog
* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- added requirement for latest usermode

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Added extra cdrom directories for powertools to directory list

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added uid patch so that it works right when run via consolehelper

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- gnorpm-auth consolehelper setup
- add -lbz2 to LDFLAGS.

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- fixed upgrade brokenness

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnorpm.keys file to file list

* Mon Apr 12 1999 Matt Wilson <msw@redhat.com>
- updated to 0.8

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- patched to work with rpm-3.0
- GnoRPM obsoletes glint.
